using App;
using System.Diagnostics;

Debug.Assert(SizeCalculator.Instance.SizeOf<FoobarStructure>() == 16);
Debug.Assert(SizeCalculator.Instance.SizeOf<FoobarClass>() == 32);

public struct FoobarStructure
{
    public byte Foo;
    public long Bar;
}

public class FoobarClass
{
    public byte Foo;
    public long Bar;
}